Skip to main content

Update Lead: Rent Manager

PUThttps://api.propexo.com/v1/leads/rentmanager/:lead_id
Method
POST /Prospects
POST /Contacts

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lead_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    first_namestring

    The first name associated with the lead

    middle_namestring

    The middle name associated with the lead

    last_namestring

    The last name associated with the lead

    lead_source_idstring

    The Propexo unique identifier for the lead source

    date_of_birthstring

    The date of birth associated with the lead

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    email_1string

    The primary email address associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    HOMEWORKMOBILEFAXOTHER
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    HOMEWORKMOBILEFAXOTHER
    citystring

    The city associated with the lead

    address_1string

    The first address line associated with the lead. If any one of the address fields are provided, they must all be provided

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    countrystring

    The country associated with the lead

    notesstring

    Notes associated with the lead

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lead_idstringrequired

    The Propexo unique identifier for the lead

    first_namestring

    The first name associated with the lead

    middle_namestring

    The middle name associated with the lead

    last_namestring

    The last name associated with the lead

    lead_source_idstring

    The Propexo unique identifier for the lead source

    date_of_birthstring

    The date of birth associated with the lead

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    email_1string

    The primary email address associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    HOMEWORKMOBILEFAXOTHER
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    HOMEWORKMOBILEFAXOTHER
    citystring

    The city associated with the lead

    address_1string

    The first address line associated with the lead. If any one of the address fields are provided, they must all be provided

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    countrystring

    The country associated with the lead

    notesstring

    Notes associated with the lead

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leads/rentmanager/:lead_id
curl -X PUT https://api.propexo.com/v1/leads/rentmanager/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"lead_source_id": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"city": "string",
"address_1": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"lead_source_id": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"city": "string",
"address_1": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string"
}
}